## org.eclipse.datatools.sqltools.sqlbuilder.views
Class EditComboBoxCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.datatools.sqltools.sqlbuilder.views.EditComboBoxCellEditor

Direct Known Subclasses:
  DynamicComboBoxCellEditor, ExpressionsComboBoxCellEditor

    public abstract class EditComboBoxCellEditor

extends org.eclipse.jface.viewers.CellEditor

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`org.eclipse.jface.viewers.CellEditor.LayoutData`

Field Summary

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`EditComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent, boolean addItems)`
`EditComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent, LabelValuePair[] items, boolean addItems)` Creates a new combo box cell editor with the given choices.

Method Summary
`void` `activate()`
`java.lang.String` `appendQuotes(java.lang.String value)` Appends Single quotes to the string passed
`void` `createItems(LabelValuePair[] items)`
`void` `deactivate()`
`void` `forwardFocusLost()` Forwards a focus-lost event from the combo focus listener to this class.
`LabelValuePair[]` `getComboBoxItems()`
`boolean` `getNeedQuotes()` Returns boolean NeedQuotes to indicate if value entered in this combo should be single quoted
`int` `getPairDataType()` Returns the DataType of PairSource.
`java.lang.String` `getQuotesContext()` Returns the context for the values entered in this combo
`void` `setNeedQuotes(boolean value)` Sets boolean NeedQuotes to indicate if value entered in this combo should be single quoted
`void` `setPairDataType(DataType dtype)` Sets the DataType of PairSource.
`void` `setPairDataType(int dtype)` Sets the DataType of PairSource.
`void` `setQuotesContext(java.lang.String quotesContext)` Sets context for the values entered in this combo

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, addListener, addPropertyChangeListener, create, dispose, getControl, getErrorMessage, getLayoutData, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setFocus, setStyle, setValidator, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditComboBoxCellEditor

    public EditComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent,
                                  boolean addItems)

### EditComboBoxCellEditor

    public EditComboBoxCellEditor(org.eclipse.swt.widgets.Composite parent,
                                  LabelValuePair[] items,
                                  boolean addItems)

  Creates a new combo box cell editor with the given choices.

Method Detail

### createItems

    public void createItems(LabelValuePair[] items)

### getComboBoxItems

    public LabelValuePair[] getComboBoxItems()

### deactivate

    public void deactivate()

  Overrides:
    `deactivate` in class `org.eclipse.jface.viewers.CellEditor`

### activate

    public void activate()

  Overrides:
    `activate` in class `org.eclipse.jface.viewers.CellEditor`

### forwardFocusLost

    public void forwardFocusLost()

  Forwards a focus-lost event from the combo focus listener to this class.

### getQuotesContext

    public java.lang.String getQuotesContext()

  Returns the context for the values entered in this combo

  Returns:
    Returns the quotesContext.

### setQuotesContext

    public void setQuotesContext(java.lang.String quotesContext)

  Sets context for the values entered in this combo

  Parameters:
    `quotesContext` - The quotesContext to set.

### setNeedQuotes

    public void setNeedQuotes(boolean value)

  Sets boolean NeedQuotes to indicate if value entered in this combo should be single quoted

### getNeedQuotes

    public boolean getNeedQuotes()

  Returns boolean NeedQuotes to indicate if value entered in this combo should be single quoted

  Returns:
    NeedQuotes.

### setPairDataType

    public void setPairDataType(int dtype)

  Sets the DataType of PairSource.

### setPairDataType

    public void setPairDataType(DataType dtype)

  Sets the DataType of PairSource.

### getPairDataType

    public int getPairDataType()

  Returns the DataType of PairSource.

  Returns:
    datatype

### appendQuotes

    public java.lang.String appendQuotes(java.lang.String value)

  Appends Single quotes to the string passed

  Parameters:
    `String` - value which needs to be single quoted
  Returns:
    String with the Quotes Appended